要求

网络服务器

由于PHPMyAdmin的界面完全在您的浏览器中,因此您需要一个 Web服务器(例如Apache,nginx, IIS.)将PHPMyAdmin的文件安装到。

PHP.

  • You need PHP 7.1.3 or newer, with session support, the Standard PHP Library (SPL)扩展,哈希,CTYPE和JSON支持。
  • The MBString. extension (see MBString.强烈建议 出于性能原因。
  • To support uploading of ZIP files, you need the PHP zip extension.
  • 在PHP中需要GD2支持以显示JPEG的内联缩略图 (“image / jpeg:内联”),其原始纵横比。
  • 使用cookie身份验证(默认值)时, openssl. 强烈建议延期。
  • 要支持上传进度条,请参阅 2.9查看上传进度条.
  • 要支持XML和打开文档电子表格导入,您需要 libxml. extension.
  • 要支持登录页面上的reCAPTCHA,您需要 openssl. extension.
  • 要支持显示PHPMYADMIN的最新版本,您需要启用 allow_url_open in your php.ini or to have the 卷曲 extension.

数据库

phpmyadmin支持MySQL兼容的数据库。

  • mysql 5.5或更新
  • Mariadb 5.5或更新

网页浏览器

要访问phpmyadmin,您需要一个带cookie和javascript的Web浏览器 enabled.

您需要一个由jQuery 2.0支持的浏览器,请参阅 <//jquery.com/browser-support/>.